Package io.vertx.rxjava.ext.auth.oauth2.providers

## Class CloudFoundryAuth

- java.lang.Object
- - io.vertx.rxjava.ext.auth.oauth2.providers.CloudFoundryAuth

-     public class CloudFoundryAuth
      extends Object

  Simplified factory to create an for CloudFoundry UAA.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static io.vertx.lang.rx.TypeArg<CloudFoundryAuth>` | `__TYPE_ARG` |

  - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `CloudFoundryAuth​(CloudFoundryAuth delegate)` |
    `CloudFoundryAuth​(Object delegate)` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static OAuth2Auth` | `create​(Vertx vertx, String clientId, String clientSecret, String uuaURL)` | Create a OAuth2Auth provider for CloudFoundry UAA
    `static OAuth2Auth` | `create​(Vertx vertx, String clientId, String clientSecret, String uuaURL, HttpClientOptions httpClientOptions)` | Create a OAuth2Auth provider for CloudFoundry UAA
    `boolean` | `equals​(Object o)` |
    `CloudFoundryAuth` | `getDelegate()` |
    `int` | `hashCode()` |
    `static CloudFoundryAuth` | `newInstance​(CloudFoundryAuth arg)` |
    `String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<CloudFoundryAuth> __TYPE_ARG

  - ### Constructor Detail

    - #### CloudFoundryAuth

          public CloudFoundryAuth​(CloudFoundryAuth delegate)

    - #### CloudFoundryAuth

          public CloudFoundryAuth​(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals​(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public CloudFoundryAuth getDelegate()

    - #### create

          public static OAuth2Auth create​(Vertx vertx,
                                          String clientId,
                                          String clientSecret,
                                          String uuaURL)

      Create a OAuth2Auth provider for CloudFoundry UAA
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by CloudFoundry UAA
        `clientSecret` - the client secret given to you by CloudFoundry UAA
        `uuaURL` - the url to your UUA server instance
      Returns:

    - #### create

          public static OAuth2Auth create​(Vertx vertx,
                                          String clientId,
                                          String clientSecret,
                                          String uuaURL,
                                          HttpClientOptions httpClientOptions)

      Create a OAuth2Auth provider for CloudFoundry UAA
      Parameters:
        `vertx` -
        `clientId` - the client id given to you by CloudFoundry UAA
        `clientSecret` - the client secret given to you by CloudFoundry UAA
        `uuaURL` - the url to your UUA server instance
        `httpClientOptions` - custom http client options
      Returns:

    - #### newInstance

          public static CloudFoundryAuth newInstance​(CloudFoundryAuth arg)